Loading...
Searching...
No Matches
ump-utils.h File Reference
SPA » Control

spa/control/ump-utils.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_CONTROL_UMP_UTILS static inline

## Functions

SPA_API_CONTROL_UMP_UTILS size_t | spa_ump_message_size (uint8_t message_type)
SPA_API_CONTROL_UMP_UTILS int | spa_ump_to_midi (const uint32_t **ump, size_t *ump_size, uint8_t *midi, size_t midi_maxsize, uint64_t *state)
SPA_API_CONTROL_UMP_UTILS int | spa_ump_from_midi (uint8_t **midi, size_t *midi_size, uint32_t *ump, size_t ump_maxsize, uint8_t group, uint64_t *state)

## Detailed Description

spa/control/ump-utils.h

## Macro Definition Documentation

## SPA_API_CONTROL_UMP_UTILS

#define SPA_API_CONTROL_UMP_UTILS static inline